Bug 174554 - x11-fm/doublecmd fails to upgrade from 'doublecmd-0.5.4' to 'doublecmd-0.5.4_1'
Summary: x11-fm/doublecmd fails to upgrade from 'doublecmd-0.5.4' to 'doublecmd-0.5.4_1'
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-18 22:30 UTC by dog
Modified: 2012-12-30 16:46 UTC (History)
0 users

See Also:


Attachments
doublecmd.0.5.4_1_fix.patch (518 bytes, patch)
2012-12-19 22:13 UTC, Beñat Gonzalez Etxepare
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dog 2012-12-18 22:30:01 UTC
I'm trying to do portupgrade x11-fm/doublecmd with the latest (revision 309199) port tree and it fails with the following error:

===>  Building for doublecmd-0.5.4_1
primary config path: /root/.lazarus
TLazPackageGraph.CheckIfCurPkgOutDirNeedsCompile  Missing state file for cmdbox 0.0: /usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/CmdLine/lib/x86_64-freebsd/cmdbox.compiled
[TExternalToolList.Run] CmdLine="/usr/local/bin/fpc -B  -MObjFPC -Scgi -O1 -g -gl -vewnhi "-Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/CmdLine/C:/Dokumente und Einstellungen/Nilius/Desktop/laz/CmdLine" -Fu/usr/local/share/lazarus/lcl/units/x86_64-freebsd/gtk2 -Fu/usr/local/share/lazarus/lcl/units/x86_64-freebsd -Fu/usr/local/share/lazarus/components/lazutils/lib/x86_64-freebsd -Fu/usr/local/share/lazarus/packager/units/x86_64-freebsd -Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/CmdLine/ -FU/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/CmdLine/lib/x86_64-freebsd/ -l -dLCL -dLCLgtk2 cmdbox.pas" WorkDir="/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/CmdLine/"
Hint: Start of reading config file /usr/local/etc/fpc.cfg
Hint: End of reading config file /usr/local/etc/fpc.cfg
Free Pascal Compiler version 2.6.0 [2012/06/05] for x86_64
Copyright (c) 1993-2011 by Florian Klaempfl and others
Target OS: FreeBSD for x86-64
Compiling cmdbox.pas
Compiling ucmdbox.pas
ucmdbox.pas(98,17) Note: Virtual method "TCmdBox.EraseBackground(HDC);" has a lower visibility (protected) than parent class TWinControl (public)
ucmdbox.pas(460,41) Warning: Local variable "SameForeColor" does not seem to be initialized
ucmdbox.pas(461,41) Warning: Local variable "SameBackColor" does not seem to be initialized
ucmdbox.pas(462,37) Warning: Local variable "SameColorX" does not seem to be initialized
ucmdbox.pas(462,48) Warning: Local variable "SameColorWidth" does not seem to be initialized
ucmdbox.pas(98,33) Hint: Parameter "DC" not used
ucmdbox.pas(1212,16) Hint: Local variable "c" does not seem to be initialized
ucmdbox.pas(97,27) Hint: Parameter "Shift" not used
ucmdbox.pas(95,27) Hint: Parameter "Button" not used
ucmdbox.pas(95,47) Hint: Parameter "Shift" not used
ucmdbox.pas(96,25) Hint: Parameter "Button" not used
ucmdbox.pas(96,45) Hint: Parameter "Shift" not used
ucmdbox.pas(96,63) Hint: Parameter "x" not used
ucmdbox.pas(96,65) Hint: Parameter "y" not used
ucmdbox.pas(1452,22) Hint: Local variable "ScrollInfo" does not seem to be initialized
ucmdbox.pas(1478,22) Hint: Local variable "ScrollInfo" does not seem to be initialized
ucmdbox.pas(169,46) Hint: Parameter "Index" not used
ucmdbox.pas(1512,39) Warning: Symbol "Handle" is deprecated
ucmdbox.pas(1513,28) Hint: Local variable "Metrics" does not seem to be initialized
ucmdbox.pas(160,35) Hint: Parameter "Sender" not used
ucmdbox.pas(66,43) Hint: Unit "ComCtrls" not used in uCmdBox
Assembling ucmdbox
Assembling cmdbox
2428 lines compiled, 0.8 sec 
5 warning(s) issued
17 hint(s) issued
1 note(s) issued
"Compiling package cmdbox 0.0" completed
primary config path: /root/.lazarus
TLazPackageGraph.CheckIfCurPkgOutDirNeedsCompile  Missing state file for KASComp 1.6: /usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/KASToolBar/lib/x86_64-freebsd/KASComp.compiled
[TExternalToolList.Run] CmdLine="/usr/local/bin/fpc -B  -MDelphi -Scghi -O1 -gs -gl -vewnhi -Fu/usr/local/share/lazarus/lcl/units/x86_64-freebsd/gtk2 -Fu/usr/local/share/lazarus/lcl/units/x86_64-freebsd -Fu/usr/local/share/lazarus/components/lazutils/lib/x86_64-freebsd -Fu/usr/local/share/lazarus/packager/units/x86_64-freebsd -Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/KASToolBar/ -FU/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/KASToolBar/lib/x86_64-freebsd/ -l -dLCL -dLCLgtk2 kascomp.pas" WorkDir="/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/KASToolBar/"
Hint: Start of reading config file /usr/local/etc/fpc.cfg
Hint: End of reading config file /usr/local/etc/fpc.cfg
Free Pascal Compiler version 2.6.0 [2012/06/05] for x86_64
Copyright (c) 1993-2011 by Florian Klaempfl and others
Target OS: FreeBSD for x86-64
Compiling kascomp.pas
Compiling kastoolbar.pas
Compiling kasbarfiles.pas
Assembling kasbarfiles
kastoolbar.pas(112,35) Hint: Parameter "WithThemeSpace" not used
kastoolbar.pas(128,56) Hint: Parameter "sCommand" not used
Assembling kastoolbar
Compiling kasbarmenu.pas
Assembling kasbarmenu
Compiling kasprogressbar.pas
kasprogressbar.pas(166,34) Hint: Conversion between ordinals and pointers is not portable
kasprogressbar.pas(168,30) Hint: Conversion between ordinals and pointers is not portable
Assembling kasprogressbar
kascomp.pas(10,38) Hint: Unit "KASBarFiles" not used in KASComp
Assembling kascomp
1588 lines compiled, 0.9 sec 
7 hint(s) issued
"Compiling package KASComp 1.6" completed
primary config path: /root/.lazarus
TLazPackageGraph.CheckIfCurPkgOutDirNeedsCompile  Missing state file for ZVDateTimeCtrls 1.3: /usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/ZVDateTimeCtrls/lib/x86_64-freebsd/ZVDateTimeCtrls.compiled
[TExternalToolList.Run] CmdLine="/usr/local/bin/fpc -B  -MObjFPC -Scghi -O1 -g -gl -vewnhi -Fu/usr/local/share/lazarus/ideintf/units/x86_64-freebsd/gtk2 -Fu/usr/local/share/lazarus/lcl/units/x86_64-freebsd/gtk2 -Fu/usr/local/share/lazarus/lcl/units/x86_64-freebsd -Fu/usr/local/share/lazarus/components/lazutils/lib/x86_64-freebsd -Fu/usr/local/share/lazarus/packager/units/x86_64-freebsd -Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/ZVDateTimeCtrls/ -FU/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/ZVDateTimeCtrls/lib/x86_64-freebsd/ -l -dLCL -dLCLgtk2 zvdatetimectrls.pas" WorkDir="/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/ZVDateTimeCtrls/"
Hint: Start of reading config file /usr/local/etc/fpc.cfg
Hint: End of reading config file /usr/local/etc/fpc.cfg
Free Pascal Compiler version 2.6.0 [2012/06/05] for x86_64
Copyright (c) 1993-2011 by Florian Klaempfl and others
Target OS: FreeBSD for x86-64
Compiling zvdatetimectrls.pas
Compiling zvdatetimepicker.pas
zvdatetimepicker.pas(751,43) Warning: Symbol "DateSeparator" is deprecated
zvdatetimepicker.pas(751,67) Warning: Symbol "TimeSeparator" is deprecated
zvdatetimepicker.pas(1398,25) Warning: Symbol "ShortDateFormat" is deprecated
zvdatetimepicker.pas(1421,28) Warning: Symbol "LongDateFormat" is deprecated
zvdatetimepicker.pas(273,27) Hint: Parameter "Shift" not used
zvdatetimepicker.pas(283,45) Hint: Parameter "WithThemeSpace" not used
zvdatetimepicker.pas(235,30) Hint: Parameter "Sender" not used
zvdatetimepicker.pas(235,47) Hint: Parameter "Button" not used
zvdatetimepicker.pas(236,45) Hint: Parameter "Shift" not used
zvdatetimepicker.pas(236,65) Hint: Parameter "X" not used
zvdatetimepicker.pas(236,68) Hint: Parameter "Y" not used
zvdatetimepicker.pas(237,27) Hint: Parameter "Sender" not used
zvdatetimepicker.pas(238,30) Hint: Parameter "Sender" not used
zvdatetimepicker.pas(242,31) Hint: Parameter "Sender" not used
zvdatetimepicker.pas(242,48) Hint: Parameter "Button" not used
zvdatetimepicker.pas(243,45) Hint: Parameter "Shift" not used
zvdatetimepicker.pas(244,30) Hint: Parameter "Sender" not used
zvdatetimepicker.pas(240,31) Hint: Parameter "Sender" not used
zvdatetimepicker.pas(240,63) Hint: Parameter "Shift" not used
zvdatetimepicker.pas(245,38) Hint: Parameter "Sender" not used
zvdatetimepicker.pas(246,32) Hint: Parameter "Sender" not used
zvdatetimepicker.pas(247,33) Hint: Parameter "Sender" not used
zvdatetimepicker.pas(248,35) Hint: Parameter "Sender" not used
zvdatetimepicker.pas(241,30) Hint: Parameter "Sender" not used
zvdatetimepicker.pas(3088,43) Warning: Symbol "DateSeparator" is deprecated
zvdatetimepicker.pas(3089,43) Warning: Symbol "TimeSeparator" is deprecated
Assembling zvdatetimepicker
Compiling dbzvdatetimepicker.pas
dbzvdatetimepicker.pas(50,26) Hint: Parameter "Sender" not used
dbzvdatetimepicker.pas(52,26) Hint: Parameter "Sender" not used
dbzvdatetimepicker.pas(53,28) Hint: Parameter "Sender" not used
Assembling dbzvdatetimepicker
Compiling zvdatetimepickerpropedit.pas
Fatal: Can't find unit ComponentEditors used by ZVDateTimePickerPropEdit
TExternalToolList.Run Exception: /usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/ZVDateTimeCtrls/zvdatetimepickerpropedit.pas(1,1) Fatal: Can't find unit ComponentEditors used by ZVDateTimePickerPropEdit
ERROR: tool reported error
primary config path: /root/.lazarus
TLazPackageGraph.CheckIfCurPkgOutDirNeedsCompile  Missing state file for dcpcrypt_laz 2.0.4.1: /usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/lib/x86_64-freebsd/dcpcrypt_laz.compiled
[TExternalToolList.Run] CmdLine="/usr/local/bin/fpc -B  -MDelphi -Scghi -O1 -g -gl -vewnhi -Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/Ciphers -Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/Hashes -Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/lib/x86_64-freebsd -Fu/usr/local/share/lazarus/lcl/units/x86_64-freebsd/gtk2 -Fu/usr/local/share/lazarus/lcl/units/x86_64-freebsd -Fu/usr/local/share/lazarus/components/lazutils/lib/x86_64-freebsd -Fu/usr/local/share/lazarus/packager/units/x86_64-freebsd -Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/ -FU/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/lib/x86_64-freebsd/ -l -dLCL -dLCLgtk2 dcpcrypt_laz.pas" WorkDir="/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/"
Hint: Start of reading config file /usr/local/etc/fpc.cfg
Hint: End of reading config file /usr/local/etc/fpc.cfg
Free Pascal Compiler version 2.6.0 [2012/06/05] for x86_64
Copyright (c) 1993-2011 by Florian Klaempfl and others
Target OS: FreeBSD for x86-64
Compiling dcpcrypt_laz.pas
Compiling dcpreg.pas
Compiling dcpcrypt2.pas
Compiling dcpbase64.pas
Assembling dcpbase64
dcpcrypt2.pas(61,23) Hint: Parameter "Value" not used
dcpcrypt2.pas(62,23) Hint: Parameter "Value" not used
dcpcrypt2.pas(84,25) Hint: Parameter "Digest" not used
dcpcrypt2.pas(90,28) Hint: Parameter "Buffer" not used
dcpcrypt2.pas(90,36) Hint: Parameter "Size" not used
dcpcrypt2.pas(121,23) Hint: Parameter "Value" not used
dcpcrypt2.pas(122,23) Hint: Parameter "Value" not used
dcpcrypt2.pas(142,26) Hint: Parameter "Key" not used
dcpcrypt2.pas(142,47) Hint: Parameter "InitVector" not used
dcpcrypt2.pas(150,29) Hint: Parameter "Indata" not used
dcpcrypt2.pas(150,41) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(150,50) Hint: Parameter "Size" not used
dcpcrypt2.pas(152,29) Hint: Parameter "Indata" not used
dcpcrypt2.pas(152,41) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(152,50) Hint: Parameter "Size" not used
dcpcrypt2.pas(188,29) Hint: Parameter "Key" not used
dcpcrypt2.pas(188,34) Hint: Parameter "Size" not used
dcpcrypt2.pas(197,27) Hint: Parameter "Value" not used
dcpcrypt2.pas(199,25) Hint: Parameter "Value" not used
dcpcrypt2.pas(210,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(210,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(212,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(212,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(214,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(214,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(214,53) Hint: Parameter "Size" not used
dcpcrypt2.pas(216,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(216,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(216,53) Hint: Parameter "Size" not used
dcpcrypt2.pas(218,36) Hint: Parameter "Indata" not used
dcpcrypt2.pas(218,48) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(218,57) Hint: Parameter "Size" not used
dcpcrypt2.pas(220,36) Hint: Parameter "Indata" not used
dcpcrypt2.pas(220,48) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(220,57) Hint: Parameter "Size" not used
dcpcrypt2.pas(222,37) Hint: Parameter "Indata" not used
dcpcrypt2.pas(222,49) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(222,58) Hint: Parameter "Size" not used
dcpcrypt2.pas(224,37) Hint: Parameter "Indata" not used
dcpcrypt2.pas(224,49) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(224,58) Hint: Parameter "Size" not used
dcpcrypt2.pas(226,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(226,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(226,53) Hint: Parameter "Size" not used
dcpcrypt2.pas(228,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(228,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(228,53) Hint: Parameter "Size" not used
dcpcrypt2.pas(230,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(230,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(230,53) Hint: Parameter "Size" not used
dcpcrypt2.pas(232,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(232,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(232,53) Hint: Parameter "Size" not used
Assembling dcpcrypt2
Compiling dcpblockciphers.pas
Assembling dcpblockciphers
Compiling dcpconst.pas
Assembling dcpconst
Fatal: Can't find unit DCPblowfish used by DCPreg
TExternalToolList.Run Exception: /usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/dcpconst.pas(1,1) Fatal: Can't find unit DCPblowfish used by DCPreg
ERROR: tool reported error
primary config path: /root/.lazarus
TLazPackageGraph.CheckIfCurPkgOutDirNeedsCompile  Missing state file for dcpcrypt 2.0.4.1: /usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/lib/x86_64-freebsd/dcpcrypt.compiled
[TExternalToolList.Run] CmdLine="/usr/local/bin/fpc -B  -MDelphi -Sah -O1 -g -gl -vewnhi -Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/Ciphers -Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/Hashes -Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/lib/x86_64-freebsd -Fu/usr/local/share/lazarus/packager/units/x86_64-freebsd -Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/ -FU/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/lib/x86_64-freebsd/ -l -Xd dcpcrypt.pas" WorkDir="/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/"
Hint: Start of reading config file /usr/local/etc/fpc.cfg
Hint: End of reading config file /usr/local/etc/fpc.cfg
Free Pascal Compiler version 2.6.0 [2012/06/05] for x86_64
Copyright (c) 1993-2011 by Florian Klaempfl and others
Target OS: FreeBSD for x86-64
Compiling dcpcrypt.pas
Compiling dcpbase64.pas
Assembling dcpbase64
Compiling dcpblockciphers.pas
Compiling dcpcrypt2.pas
dcpcrypt2.pas(61,23) Hint: Parameter "Value" not used
dcpcrypt2.pas(62,23) Hint: Parameter "Value" not used
dcpcrypt2.pas(84,25) Hint: Parameter "Digest" not used
dcpcrypt2.pas(90,28) Hint: Parameter "Buffer" not used
dcpcrypt2.pas(90,36) Hint: Parameter "Size" not used
dcpcrypt2.pas(121,23) Hint: Parameter "Value" not used
dcpcrypt2.pas(122,23) Hint: Parameter "Value" not used
dcpcrypt2.pas(142,26) Hint: Parameter "Key" not used
dcpcrypt2.pas(142,47) Hint: Parameter "InitVector" not used
dcpcrypt2.pas(150,29) Hint: Parameter "Indata" not used
dcpcrypt2.pas(150,41) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(150,50) Hint: Parameter "Size" not used
dcpcrypt2.pas(152,29) Hint: Parameter "Indata" not used
dcpcrypt2.pas(152,41) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(152,50) Hint: Parameter "Size" not used
dcpcrypt2.pas(188,29) Hint: Parameter "Key" not used
dcpcrypt2.pas(188,34) Hint: Parameter "Size" not used
dcpcrypt2.pas(197,27) Hint: Parameter "Value" not used
dcpcrypt2.pas(199,25) Hint: Parameter "Value" not used
dcpcrypt2.pas(210,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(210,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(212,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(212,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(214,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(214,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(214,53) Hint: Parameter "Size" not used
dcpcrypt2.pas(216,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(216,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(216,53) Hint: Parameter "Size" not used
dcpcrypt2.pas(218,36) Hint: Parameter "Indata" not used
dcpcrypt2.pas(218,48) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(218,57) Hint: Parameter "Size" not used
dcpcrypt2.pas(220,36) Hint: Parameter "Indata" not used
dcpcrypt2.pas(220,48) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(220,57) Hint: Parameter "Size" not used
dcpcrypt2.pas(222,37) Hint: Parameter "Indata" not used
dcpcrypt2.pas(222,49) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(222,58) Hint: Parameter "Size" not used
dcpcrypt2.pas(224,37) Hint: Parameter "Indata" not used
dcpcrypt2.pas(224,49) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(224,58) Hint: Parameter "Size" not used
dcpcrypt2.pas(226,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(226,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(226,53) Hint: Parameter "Size" not used
dcpcrypt2.pas(228,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(228,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(228,53) Hint: Parameter "Size" not used
dcpcrypt2.pas(230,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(230,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(230,53) Hint: Parameter "Size" not used
dcpcrypt2.pas(232,32) Hint: Parameter "Indata" not used
dcpcrypt2.pas(232,44) Hint: Parameter "Outdata" not used
dcpcrypt2.pas(232,53) Hint: Parameter "Size" not used
Assembling dcpcrypt2
Assembling dcpblockciphers
Compiling dcpconst.pas
Assembling dcpconst
Fatal: Can't find unit DCPblowfish used by dcpcrypt
TExternalToolList.Run Exception: /usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/dcpcrypt/dcpconst.pas(1,1) Fatal: Can't find unit DCPblowfish used by dcpcrypt
ERROR: tool reported error
primary config path: /root/.lazarus
TLazPackageGraph.CheckIfCurPkgOutDirNeedsCompile  Missing state file for pkg_gifanim 1.4: /usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/gifanim/lib/x86_64-freebsd/pkg_gifanim.compiled
[TExternalToolList.Run] CmdLine="/usr/local/bin/fpc -B  -MObjFPC -Scgi -O1 -g -gl -vewnhi -Fu/usr/local/share/lazarus/ide -Fu/usr/local/share/lazarus/ideintf/units/x86_64-freebsd/gtk2 -Fu/usr/local/share/lazarus/lcl/units/x86_64-freebsd/gtk2 -Fu/usr/local/share/lazarus/lcl/units/x86_64-freebsd -Fu/usr/local/share/lazarus/components/lazutils/lib/x86_64-freebsd -Fu/usr/local/share/lazarus/packager/units/x86_64-freebsd -Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/gifanim/ -FU/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/gifanim/lib/x86_64-freebsd/ -l -dLCL -dLCLgtk2 pkg_gifanim.pas" WorkDir="/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/gifanim/"
Hint: Start of reading config file /usr/local/etc/fpc.cfg
Hint: End of reading config file /usr/local/etc/fpc.cfg
Free Pascal Compiler version 2.6.0 [2012/06/05] for x86_64
Copyright (c) 1993-2011 by Florian Klaempfl and others
Target OS: FreeBSD for x86-64
Compiling pkg_gifanim.pas
Compiling gifanim.pas
Fatal: Can't find unit LazIDEIntf used by GifAnim
TExternalToolList.Run Exception: /usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/gifanim/gifanim.pas(1,1) Fatal: Can't find unit LazIDEIntf used by GifAnim
ERROR: tool reported error
primary config path: /root/.lazarus
TLazPackageGraph.CheckIfCurPkgOutDirNeedsCompile  Missing state file for viewerpackage 1.0: /usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/viewer/lib/x86_64-freebsd/viewerpackage.compiled
[TExternalToolList.Run] CmdLine="/usr/local/bin/fpc -B  -MObjFPC -Scgi -O1 -gs -gl -vewnhi -Fu/usr/local/share/lazarus/lcl/units/x86_64-freebsd -Fu/usr/local/share/lazarus/lcl/units/x86_64-freebsd/gtk2 -Fu/usr/local/share/lazarus/components/lazutils/lib/x86_64-freebsd -Fu/usr/local/share/lazarus/packager/units/x86_64-freebsd -Fu/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/viewer/ -FU/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/viewer/lib/x86_64-freebsd/ -l -dLCL -dLCLgtk2 viewerpackage.pas" WorkDir="/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/components/viewer/"
Hint: Start of reading config file /usr/local/etc/fpc.cfg
Hint: End of reading config file /usr/local/etc/fpc.cfg
Free Pascal Compiler version 2.6.0 [2012/06/05] for x86_64
Copyright (c) 1993-2011 by Florian Klaempfl and others
Target OS: FreeBSD for x86-64
Compiling viewerpackage.pas
Compiling viewercontrol.pas
Compiling unicodeutils.pas
unicodeutils.pas(287,8) Hint: Conversion between ordinals and pointers is not portable
unicodeutils.pas(327,8) Hint: Conversion between ordinals and pointers is not portable
unicodeutils.pas(359,8) Hint: Conversion between ordinals and pointers is not portable
unicodeutils.pas(391,8) Hint: Conversion between ordinals and pointers is not portable
Assembling unicodeutils
viewercontrol.pas(1162,34) Hint: Local variable "StatBuf" does not seem to be initialized
viewercontrol.pas(318,35) Hint: Parameter "Sender" not used
viewercontrol.pas(320,35) Hint: Parameter "Sender" not used
viewercontrol.pas(320,52) Hint: Parameter "ScrollCode" not used
viewercontrol.pas(321,11) Hint: Parameter "ScrollPos" not used
viewercontrol.pas(263,28) Hint: Parameter "Sender" not used
viewercontrol.pas(402,22) Hint: Unit "LCLVersion" not used in ViewerControl
Assembling viewercontrol
viewerpackage.pas(10,30) Hint: Unit "UnicodeUtils" not used in viewerpackage
Assembling viewerpackage
3407 lines compiled, 0.7 sec 
14 hint(s) issued
"Compiling package viewerpackage 1.0" completed
lazarusdir=/usr/local/share/lazarus
primary config path: /root/.lazarus
[TExternalToolList.Run] CmdLine="/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/src/_getsvnrev.cmd /usr/local/share/lazarus/" WorkDir="/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/src/"
Created /usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/src/dcrevision.inc for revision: 4505
/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/src/_getsvnrev.cmd: rem: not found
/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/src/_getsvnrev.cmd: %1toolssvn2revisioninc: not found
This command is need for successful exit code
"Executing command before" completed
TCompiler.Compile WorkingDir="/usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/src/" CompilerFilename="/usr/local/bin/fpc" CompilerParams=" -MObjFPC -Scaghi -O3 -OoUNCERTAIN -OoREGVAR -vewnhi @fpc-extra.cfg -Fi../../../../../../local/share/lazarus/ide -Fi../units/x86_64-freebsd-gtk2 -Fi../sdk -Fl../libraries/x86_64-freebsd -Fuplatform -Fuplatform/unix -Fu../sdk -Funewdesign -Funewdesign/fileproperties -Fuframes -Fu../components/dcpcrypt -Fu../components/dcpcrypt/Hashes -Fu../components/viewer/lib/x86_64-freebsd -Fu../../../../../../local/share/lazarus/components/synedit/units/x86_64-freebsd/gtk2 -Fu../components/KASToolBar/lib/x86_64-freebsd -Fu../components/CmdLine/lib/x86_64-freebsd -Fu../components/gifanim/lib/x86_64-freebsd -Fu../components/ZVDateTimeCtrls/lib/x86_64-freebsd -Fu../../../../../../local/share/lazarus/ideintf/units/x86_64-freebsd/gtk2 -Fu../../../../../../local/share/lazarus/lcl/units/x86_64-freebsd/gtk2 -Fu../../../../../../local/share/lazarus/lcl/units/x86_64-free
 bsd -Fu../../../../../../local/share/lazarus/components/lazutils/lib/x86_64-freebsd -Fu../../../../../../local/share/lazarus/packager/units/x86_64-freebsd -Fu. -FU../units/x86_64-freebsd-gtk2/ -l -FE../ -dLCL -dLCLgtk2 doublecmd.lpr"
[TCompiler.Compile] CmdLine="/usr/local/bin/fpc  -MObjFPC -Scaghi -O3 -OoUNCERTAIN -OoREGVAR -vewnhi @fpc-extra.cfg -Fi../../../../../../local/share/lazarus/ide -Fi../units/x86_64-freebsd-gtk2 -Fi../sdk -Fl../libraries/x86_64-freebsd -Fuplatform -Fuplatform/unix -Fu../sdk -Funewdesign -Funewdesign/fileproperties -Fuframes -Fu../components/dcpcrypt -Fu../components/dcpcrypt/Hashes -Fu../components/viewer/lib/x86_64-freebsd -Fu../../../../../../local/share/lazarus/components/synedit/units/x86_64-freebsd/gtk2 -Fu../components/KASToolBar/lib/x86_64-freebsd -Fu../components/CmdLine/lib/x86_64-freebsd -Fu../components/gifanim/lib/x86_64-freebsd -Fu../components/ZVDateTimeCtrls/lib/x86_64-freebsd -Fu../../../../../../local/share/lazarus/ideintf/units/x86_64-freebsd/gtk2 -Fu../../../../../../local/share/lazarus/lcl/units/x86_64-freebsd/gtk2 -Fu../../../../../../local/share/lazarus/lcl/units/x86_64-freebsd -Fu../../../../../../local/share/lazarus/components/lazutils/lib/x86_64-freebsd -Fu../.
 ./../../../../local/share/lazarus/packager/units/x86_64-freebsd -Fu. -FU../units/x86_64-freebsd-gtk2/ -l -FE../ -dLCL -dLCLgtk2 doublecmd.lpr"
Hint: Start of reading config file /usr/local/etc/fpc.cfg
Hint: End of reading config file /usr/local/etc/fpc.cfg
Hint: Start of reading config file fpc-extra.cfg
Hint: End of reading config file fpc-extra.cfg
Free Pascal Compiler version 2.6.0 [2012/06/05] for x86_64
Copyright (c) 1993-2011 by Florian Klaempfl and others
Target OS: FreeBSD for x86-64
Compiling doublecmd.lpr
Compiling ./platform/unix/uoverlayscrollbarfix.pas
Assembling uoverlayscrollbarfix
Fatal: Can't find unit gtk2DisableLibOverlay used by Interfaces
ERROR: failed compiling of project /usr/ports/x11-fm/doublecmd/work/doublecmd-0.5.4/src/doublecmd.lpi
*** [do-build] Error code 2

Stop in /usr/ports/x11-fm/doublecmd.
*** [build] Error code 1

Stop in /usr/ports/x11-fm/doublecmd.

How-To-Repeat: portupgrade x11-fm/doublecmd
Comment 1 Edwin Groothuis freebsd_committer 2012-12-18 22:30:14 UTC
Maintainer of x11-fm/doublecmd,

Please note that PR ports/174554 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/174554

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-12-18 22:30:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Beñat Gonzalez Etxepare 2012-12-19 20:59:14 UTC
Sorry for the inconvenience, I wasn't aware of the recent upgrade of
Lazarus port, so I didn't notice the new building error.

Thanks for reporting, I will take care of it and try to fix it as soon
as I can.
Comment 4 Beñat Gonzalez Etxepare 2012-12-19 22:13:35 UTC
Patch to fix building errors attached.

As Redports is down, I have only tested it locally using Poudriere. Sorry
for not being able to provide any links...
Comment 5 Pawel Pekala freebsd_committer 2012-12-30 16:46:45 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!